Update Manager Restart button fails on xubuntu

Bug #1232363 reported by Elfy
60
This bug affects 10 people
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Medium
Brian Murray
Saucy
Medium
Brian Murray

Bug Description

[Test Case]
This needs to happen on a Xubuntu system
1) In a terminal run "sudo touch /var/run/reboot-required"
2) Run update-manager (if updates are available install them)
3) Click the reboot button in update-manager

With the package from saucy-proposed the Xubuntu system should actually reboot.

[Regression Potential]
Little as this just adds a new code path for rebooting (as a last resort) for Xubuntu.

Update manager reports updates available.

Install updates - supply password as required.

After updates complete, restart required.

Press button - nothing happens.

ProblemType: BugDistroRelease: Ubuntu 13.10
Package: update-manager 1:0.193
ProcVersionSignature: Ubuntu 3.11.0-8.15-generic 3.11.1
Uname: Linux 3.11.0-8-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.12.5-0ubuntu1
Aptdaemon:
 Sep 28 06:51:03 hob AptDaemon.Worker: INFO: Finished transaction /org/debian/apt/transaction/3df2110967944d08825e48aa0017ca99
 Sep 28 06:56:26 hob AptDaemon: INFO: Quitting due to inactivity
 Sep 28 06:56:26 hob AptDaemon: INFO: Quitting was requested
Architecture: amd64
Date: Sat Sep 28 07:33:33 2013
GsettingsChanges:
 b'com.ubuntu.update-manager' b'first-run' b'false'
 b'com.ubuntu.update-manager' b'launch-time' b'1380349929'
 b'com.ubuntu.update-manager' b'show-details' b'true'
 b'com.ubuntu.update-manager' b'window-height' b'557'
 b'com.ubuntu.update-manager' b'window-width' b'909'
InstallationDate: Installed on 2013-09-08 (19 days ago)
InstallationMedia: Xubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130907)
MarkForUpload: True
PackageArchitecture: allSourcePackage: update-manager
UpgradeStatus: No upgrade log present (probably fresh install)

Revision history for this message
Elfy (elfy) wrote :
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in update-manager (Ubuntu):
status: New → Confirmed
Elfy (elfy)
summary: - Restart button fails to restart
+ Update Manager Restart button fails
tags: added: xubuntu
summary: - Update Manager Restart button fails
+ Update Manager Restart button fails on xubuntu
Revision history for this message
Michał Olber (olbi) wrote :

Same here. Restart button doesn't work for me on Xubuntu 13.10.

Revision history for this message
Thaddaeus Tintenfisch (thad-fisch-deactivatedaccount) wrote :

As of now update-manager does only support restarting via gnome-session-manager and consolekit (fallback). However, Xubuntu 13.10 does not ship with consolekit anymore, so support for restarting via logind needs to be added.

Revision history for this message
OrangeCrate (bluesan) wrote :

Confirming the bug on Xubuntu 13.10 (64-bit).

Revision history for this message
Thaddaeus Tintenfisch (thad-fisch-deactivatedaccount) wrote :
Changed in update-manager (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Medium
Revision history for this message
Ubuntu Foundations Team Bug Bot (crichton) wrote :

The attachment "adds support for logind" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Revision history for this message
Thaddaeus Tintenfisch (thad-fisch-deactivatedaccount) wrote :

A system restart can be requested manually by running "sudo touch /run/reboot-required" and relaunching update-manager.

Revision history for this message
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1232363

tags: added: iso-testing
Revision history for this message
Brian Murray (brian-murray) wrote :

I plan on uploading this as an SRU next week.

Changed in update-manager (Ubuntu):
milestone: none → saucy-updates
Changed in update-manager (Ubuntu):
assignee: nobody → Brian Murray (brian-murray)
Changed in update-manager (Ubuntu Saucy):
status: New → Triaged
importance: Undecided → Medium
milestone: none → saucy-updates
Changed in update-manager (Ubuntu):
milestone: saucy-updates → none
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.196.1

---------------
update-manager (1:0.196.1) trusty; urgency=low

  * debian/source_update_manager.py: Fix too long line (pep8 error).
 -- Brian Murray <email address hidden> Thu, 24 Oct 2013 13:31:42 -0700

Changed in update-manager (Ubuntu):
status: Triaged → Fix Released
description: updated
Changed in update-manager (Ubuntu Saucy):
assignee: nobody → Brian Murray (brian-murray)
status: Triaged → In Progress
Revision history for this message
Brian Murray (brian-murray) wrote : Please test proposed package

Hello Elfy, or anyone else affected,

Accepted update-manager into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/update-manager/1:0.194.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in update-manager (Ubuntu Saucy):
status: In Progress → Fix Committed
tags: added: verification-needed
Revision history for this message
Elfy (elfy) wrote :

That works ok for me.

tags: added: verification-done
removed: verification-needed
Revision history for this message
Stéphane Graber (stgraber) wrote : Update Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.194.1

---------------
update-manager (1:0.194.1) saucy-proposed; urgency=low

  * Add support for logind to the restart dialog. Thanks to Thaddaus
    Tintenfisch for the patch. (LP: #1232363)
  * In the apport hook ask if the bug is about upgrading from one release to
    another and send bug to ubuntu-release-upgrader. (LP: #1071057)
 -- Brian Murray <email address hidden> Fri, 25 Oct 2013 13:21:20 -0700

Changed in update-manager (Ubuntu Saucy):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers